> For the complete documentation index, see [llms.txt](https://docs.dmns.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dmns.app/api/api-endpoints/similar-websites-beta.md).

# Similar websites (beta)

Get list of domains used for similar websites

This endpoint can find the domains used by websites that are similar with the queried domain. Example:

* "sonos.com" -> bose.com, stereophile.com, beatsbydre.com
* "stripe.com" -> paypal.com, braintree.com, adyen.com

## Get the domains of similar websites

<mark style="color:blue;">`GET`</mark> `https://domains-api.com/domains/{domain}/similar-websites`

#### Path Parameters

| Name                                     | Type   | Description       |
| ---------------------------------------- | ------ | ----------------- |
| domain<mark style="color:red;">\*</mark> | String | Valid domain name |

#### Query Parameters

| Name   | Type   | Description                             |
| ------ | ------ | --------------------------------------- |
| apiKey | String | Your API Key                            |
| limit  | Number | How many domains to return. Default: 10 |

#### Headers

| Name          | Type   | Description                                    |
| ------------- | ------ | ---------------------------------------------- |
| Authorization | String | Your API Key. Include it as `Bearer dm_abc123` |

{% tabs %}
{% tab title="200: OK " %}
The successful response will be in JSON format, and is an Object with WHOIS servers as keys.

```
{
	"whois.verisign-grs.com": {
		"Domain Name": "GOOGLE.COM",
		"Registrar WHOIS Server": "whois.markmonitor.com",
		...
	},
	"whois.markmonitor.com": {
		"Domain Name": "google.com",
		"Creation Date": "1997-09-15T00:00:00-0700",
		"Expiry Date": "2020-09-13T21:00:00-0700",
		"Registrar": "MarkMonitor, Inc.",
		"Domain Status": [
				"clientUpdateProhibited",
				"clientTransferProhibited"
		],
		...
		"Name Server": [
				"ns1.google.com",
				"ns2.google.com"
		],
		"text": [
				"For more information on WHOIS status codes, please visit:",
				...
		]
	}
}
```

{% endtab %}
{% endtabs %}

### Examples

{% tabs %}
{% tab title="JS - axios" %}

<pre class="language-javascript"><code class="lang-javascript"><strong>import axios from 'axios'
</strong>
const domain = 'stripe.com'
const similar = await axios(`https://domains-api.com/domains/${domain}/similar-websites?key=_key_`)

console.log(similar.data)
</code></pre>

{% endtab %}

{% tab title="JS - fetch" %}

```javascript
const domain = 'heygov.com'

fetch(`https://domains-api.com/domains/${domain}/similar-websites`, {
    headers: {
        Authorizaton: `Bearer _api_key_`
    }
})
.then(response => response.json())
.then(similar => {
    console.log(similar)
})
```

{% endtab %}
{% endtabs %}
